<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.geometry.*?>
<?import javafx.scene.control.*?>
<?import java.lang.*?>
<?import javafx.scene.layout.*?>

<GridPane maxHeight="-Infinity" maxWidth="-Infinity" minHeight="-Infinity" minWidth="-Infinity" prefHeight="152.0" prefWidth="275.0" xmlns="http://javafx.com/javafx/8" xmlns:fx="http://javafx.com/fxml/1" fx:controller="controller.ConfigController">
  <columnConstraints>
    <ColumnConstraints halignment="RIGHT" hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
    <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
  </columnConstraints>
  <rowConstraints>
    <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
    <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
    <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
      <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
      <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
  </rowConstraints>
   <children>
      <Label text="Server address:">
         <GridPane.margin>
            <Insets right="10.0" />
         </GridPane.margin>
      </Label>
      <Label text="Server port:" GridPane.rowIndex="1">
         <GridPane.margin>
            <Insets right="10.0" />
         </GridPane.margin>
      </Label>
      <Label text="Log path:" GridPane.rowIndex="2">
         <GridPane.margin>
            <Insets right="10.0" />
         </GridPane.margin>
      </Label>
      <TextField fx:id="address" GridPane.columnIndex="1">
         <GridPane.margin>
            <Insets right="10.0" />
         </GridPane.margin>
      </TextField>
      <TextField fx:id="port" GridPane.columnIndex="1" GridPane.rowIndex="1">
         <GridPane.margin>
            <Insets right="10.0" />
         </GridPane.margin>
      </TextField>
      <TextField fx:id="logPath" GridPane.columnIndex="1" GridPane.rowIndex="2">
         <GridPane.margin>
            <Insets right="10.0" />
         </GridPane.margin>
      </TextField>
      <Button fx:id="saveButton" mnemonicParsing="false" onAction="#onSave" text="Save" GridPane.columnIndex="1" GridPane.rowIndex="4" />
      <Button mnemonicParsing="false" onAction="#onExit" text="Exit" GridPane.rowIndex="4">
         <GridPane.margin>
            <Insets right="10.0" />
         </GridPane.margin>
      </Button>
      <Label layoutX="76.0" layoutY="80.0" text="Log level:" GridPane.rowIndex="3">
         <GridPane.margin>
            <Insets right="10.0" />
         </GridPane.margin>
      </Label>
      <ChoiceBox fx:id="logLevelChoiceBox" prefWidth="150.0" GridPane.columnIndex="1" GridPane.rowIndex="3">
         <GridPane.margin>
            <Insets right="10.0" />
         </GridPane.margin>
      </ChoiceBox>
   </children>
</GridPane>
